Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network178.4.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
178.4.0.0
Broadcast address
178.4.31.255
First usable
178.4.0.1
Last usable
178.4.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex B2040000 · Integer 2986606592 to 2986614783
Reverse DNS zones
0.4.178.in-addr.arpa
1.4.178.in-addr.arpa
2.4.178.in-addr.arpa
3.4.178.in-addr.arpa
4.4.178.in-addr.arpa
5.4.178.in-addr.arpa
6.4.178.in-addr.arpa
7.4.178.in-addr.arpa
8.4.178.in-addr.arpa
9.4.178.in-addr.arpa
10.4.178.in-addr.arpa
11.4.178.in-addr.arpa
12.4.178.in-addr.arpa
13.4.178.in-addr.arpa
14.4.178.in-addr.arpa
15.4.178.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110010.00000100.00000000.00000000178.4.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10110010.00000100.00000000.00000000178.4.0.0
Broadcast10110010.00000100.00011111.11111111178.4.31.255
Split into smaller subnets/30

178.4.0.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1178.4.0.0/30178.4.0.1 to 178.4.0.2178.4.0.32
2178.4.0.4/30178.4.0.5 to 178.4.0.6178.4.0.72
3178.4.0.8/30178.4.0.9 to 178.4.0.10178.4.0.112
4178.4.0.12/30178.4.0.13 to 178.4.0.14178.4.0.152
5178.4.0.16/30178.4.0.17 to 178.4.0.18178.4.0.192
6178.4.0.20/30178.4.0.21 to 178.4.0.22178.4.0.232
7178.4.0.24/30178.4.0.25 to 178.4.0.26178.4.0.272
8178.4.0.28/30178.4.0.29 to 178.4.0.30178.4.0.312
9178.4.0.32/30178.4.0.33 to 178.4.0.34178.4.0.352
10178.4.0.36/30178.4.0.37 to 178.4.0.38178.4.0.392
11178.4.0.40/30178.4.0.41 to 178.4.0.42178.4.0.432
12178.4.0.44/30178.4.0.45 to 178.4.0.46178.4.0.472
13178.4.0.48/30178.4.0.49 to 178.4.0.50178.4.0.512
14178.4.0.52/30178.4.0.53 to 178.4.0.54178.4.0.552
15178.4.0.56/30178.4.0.57 to 178.4.0.58178.4.0.592
16178.4.0.60/30178.4.0.61 to 178.4.0.62178.4.0.632
17178.4.0.64/30178.4.0.65 to 178.4.0.66178.4.0.672
18178.4.0.68/30178.4.0.69 to 178.4.0.70178.4.0.712
19178.4.0.72/30178.4.0.73 to 178.4.0.74178.4.0.752
20178.4.0.76/30178.4.0.77 to 178.4.0.78178.4.0.792
21178.4.0.80/30178.4.0.81 to 178.4.0.82178.4.0.832
22178.4.0.84/30178.4.0.85 to 178.4.0.86178.4.0.872
23178.4.0.88/30178.4.0.89 to 178.4.0.90178.4.0.912
24178.4.0.92/30178.4.0.93 to 178.4.0.94178.4.0.952
25178.4.0.96/30178.4.0.97 to 178.4.0.98178.4.0.992
26178.4.0.100/30178.4.0.101 to 178.4.0.102178.4.0.1032
27178.4.0.104/30178.4.0.105 to 178.4.0.106178.4.0.1072
28178.4.0.108/30178.4.0.109 to 178.4.0.110178.4.0.1112
29178.4.0.112/30178.4.0.113 to 178.4.0.114178.4.0.1152
30178.4.0.116/30178.4.0.117 to 178.4.0.118178.4.0.1192
31178.4.0.120/30178.4.0.121 to 178.4.0.122178.4.0.1232
32178.4.0.124/30178.4.0.125 to 178.4.0.126178.4.0.1272
33178.4.0.128/30178.4.0.129 to 178.4.0.130178.4.0.1312
34178.4.0.132/30178.4.0.133 to 178.4.0.134178.4.0.1352
35178.4.0.136/30178.4.0.137 to 178.4.0.138178.4.0.1392
36178.4.0.140/30178.4.0.141 to 178.4.0.142178.4.0.1432
37178.4.0.144/30178.4.0.145 to 178.4.0.146178.4.0.1472
38178.4.0.148/30178.4.0.149 to 178.4.0.150178.4.0.1512
39178.4.0.152/30178.4.0.153 to 178.4.0.154178.4.0.1552
40178.4.0.156/30178.4.0.157 to 178.4.0.158178.4.0.1592
41178.4.0.160/30178.4.0.161 to 178.4.0.162178.4.0.1632
42178.4.0.164/30178.4.0.165 to 178.4.0.166178.4.0.1672
43178.4.0.168/30178.4.0.169 to 178.4.0.170178.4.0.1712
44178.4.0.172/30178.4.0.173 to 178.4.0.174178.4.0.1752
45178.4.0.176/30178.4.0.177 to 178.4.0.178178.4.0.1792
46178.4.0.180/30178.4.0.181 to 178.4.0.182178.4.0.1832
47178.4.0.184/30178.4.0.185 to 178.4.0.186178.4.0.1872
48178.4.0.188/30178.4.0.189 to 178.4.0.190178.4.0.1912
49178.4.0.192/30178.4.0.193 to 178.4.0.194178.4.0.1952
50178.4.0.196/30178.4.0.197 to 178.4.0.198178.4.0.1992
51178.4.0.200/30178.4.0.201 to 178.4.0.202178.4.0.2032
52178.4.0.204/30178.4.0.205 to 178.4.0.206178.4.0.2072
53178.4.0.208/30178.4.0.209 to 178.4.0.210178.4.0.2112
54178.4.0.212/30178.4.0.213 to 178.4.0.214178.4.0.2152
55178.4.0.216/30178.4.0.217 to 178.4.0.218178.4.0.2192
56178.4.0.220/30178.4.0.221 to 178.4.0.222178.4.0.2232
57178.4.0.224/30178.4.0.225 to 178.4.0.226178.4.0.2272
58178.4.0.228/30178.4.0.229 to 178.4.0.230178.4.0.2312
59178.4.0.232/30178.4.0.233 to 178.4.0.234178.4.0.2352
60178.4.0.236/30178.4.0.237 to 178.4.0.238178.4.0.2392
61178.4.0.240/30178.4.0.241 to 178.4.0.242178.4.0.2432
62178.4.0.244/30178.4.0.245 to 178.4.0.246178.4.0.2472
63178.4.0.248/30178.4.0.249 to 178.4.0.250178.4.0.2512
64178.4.0.252/30178.4.0.253 to 178.4.0.254178.4.0.2552
65178.4.1.0/30178.4.1.1 to 178.4.1.2178.4.1.32
66178.4.1.4/30178.4.1.5 to 178.4.1.6178.4.1.72
67178.4.1.8/30178.4.1.9 to 178.4.1.10178.4.1.112
68178.4.1.12/30178.4.1.13 to 178.4.1.14178.4.1.152
69178.4.1.16/30178.4.1.17 to 178.4.1.18178.4.1.192
70178.4.1.20/30178.4.1.21 to 178.4.1.22178.4.1.232
71178.4.1.24/30178.4.1.25 to 178.4.1.26178.4.1.272
72178.4.1.28/30178.4.1.29 to 178.4.1.30178.4.1.312
73178.4.1.32/30178.4.1.33 to 178.4.1.34178.4.1.352
74178.4.1.36/30178.4.1.37 to 178.4.1.38178.4.1.392
75178.4.1.40/30178.4.1.41 to 178.4.1.42178.4.1.432
76178.4.1.44/30178.4.1.45 to 178.4.1.46178.4.1.472
77178.4.1.48/30178.4.1.49 to 178.4.1.50178.4.1.512
78178.4.1.52/30178.4.1.53 to 178.4.1.54178.4.1.552
79178.4.1.56/30178.4.1.57 to 178.4.1.58178.4.1.592
80178.4.1.60/30178.4.1.61 to 178.4.1.62178.4.1.632
81178.4.1.64/30178.4.1.65 to 178.4.1.66178.4.1.672
82178.4.1.68/30178.4.1.69 to 178.4.1.70178.4.1.712
83178.4.1.72/30178.4.1.73 to 178.4.1.74178.4.1.752
84178.4.1.76/30178.4.1.77 to 178.4.1.78178.4.1.792
85178.4.1.80/30178.4.1.81 to 178.4.1.82178.4.1.832
86178.4.1.84/30178.4.1.85 to 178.4.1.86178.4.1.872
87178.4.1.88/30178.4.1.89 to 178.4.1.90178.4.1.912
88178.4.1.92/30178.4.1.93 to 178.4.1.94178.4.1.952
89178.4.1.96/30178.4.1.97 to 178.4.1.98178.4.1.992
90178.4.1.100/30178.4.1.101 to 178.4.1.102178.4.1.1032
91178.4.1.104/30178.4.1.105 to 178.4.1.106178.4.1.1072
92178.4.1.108/30178.4.1.109 to 178.4.1.110178.4.1.1112
93178.4.1.112/30178.4.1.113 to 178.4.1.114178.4.1.1152
94178.4.1.116/30178.4.1.117 to 178.4.1.118178.4.1.1192
95178.4.1.120/30178.4.1.121 to 178.4.1.122178.4.1.1232
96178.4.1.124/30178.4.1.125 to 178.4.1.126178.4.1.1272
97178.4.1.128/30178.4.1.129 to 178.4.1.130178.4.1.1312
98178.4.1.132/30178.4.1.133 to 178.4.1.134178.4.1.1352
99178.4.1.136/30178.4.1.137 to 178.4.1.138178.4.1.1392
100178.4.1.140/30178.4.1.141 to 178.4.1.142178.4.1.1432
101178.4.1.144/30178.4.1.145 to 178.4.1.146178.4.1.1472
102178.4.1.148/30178.4.1.149 to 178.4.1.150178.4.1.1512
103178.4.1.152/30178.4.1.153 to 178.4.1.154178.4.1.1552
104178.4.1.156/30178.4.1.157 to 178.4.1.158178.4.1.1592
105178.4.1.160/30178.4.1.161 to 178.4.1.162178.4.1.1632
106178.4.1.164/30178.4.1.165 to 178.4.1.166178.4.1.1672
107178.4.1.168/30178.4.1.169 to 178.4.1.170178.4.1.1712
108178.4.1.172/30178.4.1.173 to 178.4.1.174178.4.1.1752
109178.4.1.176/30178.4.1.177 to 178.4.1.178178.4.1.1792
110178.4.1.180/30178.4.1.181 to 178.4.1.182178.4.1.1832
111178.4.1.184/30178.4.1.185 to 178.4.1.186178.4.1.1872
112178.4.1.188/30178.4.1.189 to 178.4.1.190178.4.1.1912
113178.4.1.192/30178.4.1.193 to 178.4.1.194178.4.1.1952
114178.4.1.196/30178.4.1.197 to 178.4.1.198178.4.1.1992
115178.4.1.200/30178.4.1.201 to 178.4.1.202178.4.1.2032
116178.4.1.204/30178.4.1.205 to 178.4.1.206178.4.1.2072
117178.4.1.208/30178.4.1.209 to 178.4.1.210178.4.1.2112
118178.4.1.212/30178.4.1.213 to 178.4.1.214178.4.1.2152
119178.4.1.216/30178.4.1.217 to 178.4.1.218178.4.1.2192
120178.4.1.220/30178.4.1.221 to 178.4.1.222178.4.1.2232
121178.4.1.224/30178.4.1.225 to 178.4.1.226178.4.1.2272
122178.4.1.228/30178.4.1.229 to 178.4.1.230178.4.1.2312
123178.4.1.232/30178.4.1.233 to 178.4.1.234178.4.1.2352
124178.4.1.236/30178.4.1.237 to 178.4.1.238178.4.1.2392
125178.4.1.240/30178.4.1.241 to 178.4.1.242178.4.1.2432
126178.4.1.244/30178.4.1.245 to 178.4.1.246178.4.1.2472
127178.4.1.248/30178.4.1.249 to 178.4.1.250178.4.1.2512
128178.4.1.252/30178.4.1.253 to 178.4.1.254178.4.1.2552
129178.4.2.0/30178.4.2.1 to 178.4.2.2178.4.2.32
130178.4.2.4/30178.4.2.5 to 178.4.2.6178.4.2.72
131178.4.2.8/30178.4.2.9 to 178.4.2.10178.4.2.112
132178.4.2.12/30178.4.2.13 to 178.4.2.14178.4.2.152
133178.4.2.16/30178.4.2.17 to 178.4.2.18178.4.2.192
134178.4.2.20/30178.4.2.21 to 178.4.2.22178.4.2.232
135178.4.2.24/30178.4.2.25 to 178.4.2.26178.4.2.272
136178.4.2.28/30178.4.2.29 to 178.4.2.30178.4.2.312
137178.4.2.32/30178.4.2.33 to 178.4.2.34178.4.2.352
138178.4.2.36/30178.4.2.37 to 178.4.2.38178.4.2.392
139178.4.2.40/30178.4.2.41 to 178.4.2.42178.4.2.432
140178.4.2.44/30178.4.2.45 to 178.4.2.46178.4.2.472
141178.4.2.48/30178.4.2.49 to 178.4.2.50178.4.2.512
142178.4.2.52/30178.4.2.53 to 178.4.2.54178.4.2.552
143178.4.2.56/30178.4.2.57 to 178.4.2.58178.4.2.592
144178.4.2.60/30178.4.2.61 to 178.4.2.62178.4.2.632
145178.4.2.64/30178.4.2.65 to 178.4.2.66178.4.2.672
146178.4.2.68/30178.4.2.69 to 178.4.2.70178.4.2.712
147178.4.2.72/30178.4.2.73 to 178.4.2.74178.4.2.752
148178.4.2.76/30178.4.2.77 to 178.4.2.78178.4.2.792
149178.4.2.80/30178.4.2.81 to 178.4.2.82178.4.2.832
150178.4.2.84/30178.4.2.85 to 178.4.2.86178.4.2.872
151178.4.2.88/30178.4.2.89 to 178.4.2.90178.4.2.912
152178.4.2.92/30178.4.2.93 to 178.4.2.94178.4.2.952
153178.4.2.96/30178.4.2.97 to 178.4.2.98178.4.2.992
154178.4.2.100/30178.4.2.101 to 178.4.2.102178.4.2.1032
155178.4.2.104/30178.4.2.105 to 178.4.2.106178.4.2.1072
156178.4.2.108/30178.4.2.109 to 178.4.2.110178.4.2.1112
157178.4.2.112/30178.4.2.113 to 178.4.2.114178.4.2.1152
158178.4.2.116/30178.4.2.117 to 178.4.2.118178.4.2.1192
159178.4.2.120/30178.4.2.121 to 178.4.2.122178.4.2.1232
160178.4.2.124/30178.4.2.125 to 178.4.2.126178.4.2.1272
161178.4.2.128/30178.4.2.129 to 178.4.2.130178.4.2.1312
162178.4.2.132/30178.4.2.133 to 178.4.2.134178.4.2.1352
163178.4.2.136/30178.4.2.137 to 178.4.2.138178.4.2.1392
164178.4.2.140/30178.4.2.141 to 178.4.2.142178.4.2.1432
165178.4.2.144/30178.4.2.145 to 178.4.2.146178.4.2.1472
166178.4.2.148/30178.4.2.149 to 178.4.2.150178.4.2.1512
167178.4.2.152/30178.4.2.153 to 178.4.2.154178.4.2.1552
168178.4.2.156/30178.4.2.157 to 178.4.2.158178.4.2.1592
169178.4.2.160/30178.4.2.161 to 178.4.2.162178.4.2.1632
170178.4.2.164/30178.4.2.165 to 178.4.2.166178.4.2.1672
171178.4.2.168/30178.4.2.169 to 178.4.2.170178.4.2.1712
172178.4.2.172/30178.4.2.173 to 178.4.2.174178.4.2.1752
173178.4.2.176/30178.4.2.177 to 178.4.2.178178.4.2.1792
174178.4.2.180/30178.4.2.181 to 178.4.2.182178.4.2.1832
175178.4.2.184/30178.4.2.185 to 178.4.2.186178.4.2.1872
176178.4.2.188/30178.4.2.189 to 178.4.2.190178.4.2.1912
177178.4.2.192/30178.4.2.193 to 178.4.2.194178.4.2.1952
178178.4.2.196/30178.4.2.197 to 178.4.2.198178.4.2.1992
179178.4.2.200/30178.4.2.201 to 178.4.2.202178.4.2.2032
180178.4.2.204/30178.4.2.205 to 178.4.2.206178.4.2.2072
181178.4.2.208/30178.4.2.209 to 178.4.2.210178.4.2.2112
182178.4.2.212/30178.4.2.213 to 178.4.2.214178.4.2.2152
183178.4.2.216/30178.4.2.217 to 178.4.2.218178.4.2.2192
184178.4.2.220/30178.4.2.221 to 178.4.2.222178.4.2.2232
185178.4.2.224/30178.4.2.225 to 178.4.2.226178.4.2.2272
186178.4.2.228/30178.4.2.229 to 178.4.2.230178.4.2.2312
187178.4.2.232/30178.4.2.233 to 178.4.2.234178.4.2.2352
188178.4.2.236/30178.4.2.237 to 178.4.2.238178.4.2.2392
189178.4.2.240/30178.4.2.241 to 178.4.2.242178.4.2.2432
190178.4.2.244/30178.4.2.245 to 178.4.2.246178.4.2.2472
191178.4.2.248/30178.4.2.249 to 178.4.2.250178.4.2.2512
192178.4.2.252/30178.4.2.253 to 178.4.2.254178.4.2.2552
193178.4.3.0/30178.4.3.1 to 178.4.3.2178.4.3.32
194178.4.3.4/30178.4.3.5 to 178.4.3.6178.4.3.72
195178.4.3.8/30178.4.3.9 to 178.4.3.10178.4.3.112
196178.4.3.12/30178.4.3.13 to 178.4.3.14178.4.3.152
197178.4.3.16/30178.4.3.17 to 178.4.3.18178.4.3.192
198178.4.3.20/30178.4.3.21 to 178.4.3.22178.4.3.232
199178.4.3.24/30178.4.3.25 to 178.4.3.26178.4.3.272
200178.4.3.28/30178.4.3.29 to 178.4.3.30178.4.3.312
201178.4.3.32/30178.4.3.33 to 178.4.3.34178.4.3.352
202178.4.3.36/30178.4.3.37 to 178.4.3.38178.4.3.392
203178.4.3.40/30178.4.3.41 to 178.4.3.42178.4.3.432
204178.4.3.44/30178.4.3.45 to 178.4.3.46178.4.3.472
205178.4.3.48/30178.4.3.49 to 178.4.3.50178.4.3.512
206178.4.3.52/30178.4.3.53 to 178.4.3.54178.4.3.552
207178.4.3.56/30178.4.3.57 to 178.4.3.58178.4.3.592
208178.4.3.60/30178.4.3.61 to 178.4.3.62178.4.3.632
209178.4.3.64/30178.4.3.65 to 178.4.3.66178.4.3.672
210178.4.3.68/30178.4.3.69 to 178.4.3.70178.4.3.712
211178.4.3.72/30178.4.3.73 to 178.4.3.74178.4.3.752
212178.4.3.76/30178.4.3.77 to 178.4.3.78178.4.3.792
213178.4.3.80/30178.4.3.81 to 178.4.3.82178.4.3.832
214178.4.3.84/30178.4.3.85 to 178.4.3.86178.4.3.872
215178.4.3.88/30178.4.3.89 to 178.4.3.90178.4.3.912
216178.4.3.92/30178.4.3.93 to 178.4.3.94178.4.3.952
217178.4.3.96/30178.4.3.97 to 178.4.3.98178.4.3.992
218178.4.3.100/30178.4.3.101 to 178.4.3.102178.4.3.1032
219178.4.3.104/30178.4.3.105 to 178.4.3.106178.4.3.1072
220178.4.3.108/30178.4.3.109 to 178.4.3.110178.4.3.1112
221178.4.3.112/30178.4.3.113 to 178.4.3.114178.4.3.1152
222178.4.3.116/30178.4.3.117 to 178.4.3.118178.4.3.1192
223178.4.3.120/30178.4.3.121 to 178.4.3.122178.4.3.1232
224178.4.3.124/30178.4.3.125 to 178.4.3.126178.4.3.1272
225178.4.3.128/30178.4.3.129 to 178.4.3.130178.4.3.1312
226178.4.3.132/30178.4.3.133 to 178.4.3.134178.4.3.1352
227178.4.3.136/30178.4.3.137 to 178.4.3.138178.4.3.1392
228178.4.3.140/30178.4.3.141 to 178.4.3.142178.4.3.1432
229178.4.3.144/30178.4.3.145 to 178.4.3.146178.4.3.1472
230178.4.3.148/30178.4.3.149 to 178.4.3.150178.4.3.1512
231178.4.3.152/30178.4.3.153 to 178.4.3.154178.4.3.1552
232178.4.3.156/30178.4.3.157 to 178.4.3.158178.4.3.1592
233178.4.3.160/30178.4.3.161 to 178.4.3.162178.4.3.1632
234178.4.3.164/30178.4.3.165 to 178.4.3.166178.4.3.1672
235178.4.3.168/30178.4.3.169 to 178.4.3.170178.4.3.1712
236178.4.3.172/30178.4.3.173 to 178.4.3.174178.4.3.1752
237178.4.3.176/30178.4.3.177 to 178.4.3.178178.4.3.1792
238178.4.3.180/30178.4.3.181 to 178.4.3.182178.4.3.1832
239178.4.3.184/30178.4.3.185 to 178.4.3.186178.4.3.1872
240178.4.3.188/30178.4.3.189 to 178.4.3.190178.4.3.1912
241178.4.3.192/30178.4.3.193 to 178.4.3.194178.4.3.1952
242178.4.3.196/30178.4.3.197 to 178.4.3.198178.4.3.1992
243178.4.3.200/30178.4.3.201 to 178.4.3.202178.4.3.2032
244178.4.3.204/30178.4.3.205 to 178.4.3.206178.4.3.2072
245178.4.3.208/30178.4.3.209 to 178.4.3.210178.4.3.2112
246178.4.3.212/30178.4.3.213 to 178.4.3.214178.4.3.2152
247178.4.3.216/30178.4.3.217 to 178.4.3.218178.4.3.2192
248178.4.3.220/30178.4.3.221 to 178.4.3.222178.4.3.2232
249178.4.3.224/30178.4.3.225 to 178.4.3.226178.4.3.2272
250178.4.3.228/30178.4.3.229 to 178.4.3.230178.4.3.2312
251178.4.3.232/30178.4.3.233 to 178.4.3.234178.4.3.2352
252178.4.3.236/30178.4.3.237 to 178.4.3.238178.4.3.2392
253178.4.3.240/30178.4.3.241 to 178.4.3.242178.4.3.2432
254178.4.3.244/30178.4.3.245 to 178.4.3.246178.4.3.2472
255178.4.3.248/30178.4.3.249 to 178.4.3.250178.4.3.2512
256178.4.3.252/30178.4.3.253 to 178.4.3.254178.4.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses